Subject: Re: suppress fatal pathspec errors from "git add"?

From: Jakub Narebski <[email-masked]>
Date: Sun, 03 Jan 2010 01:44:02 -0800 (PST)

Jeff King <[email-masked]> writes:

> On Thu, Dec 31, 2009 at 01:24:59PM -0800, aaron smith wrote:
> 
> > I'm looking through the add documentation, I don't see a way to
> > suppress fatal pathspec errors? For example, if I'm adding 5 files,
> > but one of them is mis-spelled, can I have git just supress the errors
> > and add the other four?
> 
> Hmm. I would have thought "git add --ignore-errors" would do what you
> want, but it only ignores errors in reading the file. If we can't stat
> it, we will always die. IMHO that is an oversight in how
> "--ignore-errors" works (why should this one particular error be treated
> as fatal, when others are not?).

I have thought that this is task for --ignore-missing / --missing-ok
option, but this option(s) does not apply to git-add / git-rm; the former
is from git-write-index, the latter form from git-write-tree.

-- 
Jakub Narebski
Poland
ShadeHawk on #git